{
  "name": "backend",
  "version": "0.0.1",
  "description": "A RESTful API to handle user data",
  "author": "Apolitical Group Limited <engineering@apolitical.co>",
  "main": "index.js",
  "license": "MIT",
  "private": true,
  "scripts": {
    "start": "node index.js",
    "start:dev": "nodemon -L -e js,mustache index.js",
    "test": "jest --runInBand --detectOpenHandles",
    "lint": "eslint --ext .js ./src",
    "format": "prettier --write 'src/**/*.+(js|json)'"
  },
  "keywords": [
    "Backend",
    "REST",
    "API"
  ],
  "dependencies": {
    "axios": "0.21.1",
    "body-parser": "1.19.0",
    "cors": "2.8.5",
    "dotenv": "9.0.2",
    "express": "4.17.1",
    "finale-rest": "1.1.1",
    "http-terminator": "3.0.0",
    "morgan": "1.10.0",
    "pg": "8.6.0",
    "pg-hstore": "2.3.3",
    "sequelize": "6.6.2"
  },
  "devDependencies": {
    "eslint": "7.26.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-jest": "24.3.6",
    "eslint-plugin-prettier": "3.4.0",
    "husky": "4.3.8",
    "jest": "26.6.3",
    "lint-staged": "11.0.0",
    "nodemon": "2.0.7",
    "prettier": "2.3.0",
    "supertest": "6.1.3",
    "testcontainers": "7.10.0"
  },
  "engines": {
    "node": ">=12.20.1"
  },
  "eslintConfig": {
    "extends": [
      "eslint:recommended",
      "plugin:prettier/recommended",
      "plugin:jest/recommended"
    ],
    "env": {
      "node": true,
      "es6": true,
      "jest": true
    },
    "parserOptions": {
      "ecmaVersion": 2018
    },
    "plugins": [
      "jest"
    ]
  },
  "prettier": {
    "useTabs": false,
    "printWidth": 120,
    "tabWidth": 2,
    "singleQuote": true,
    "trailingComma": "all"
  },
  "jest": {
    "bail": true,
    "clearMocks": true,
    "collectCoverage": true,
    "collectCoverageFrom": [
      "src/**/*.js"
    ],
    "coverageDirectory": "coverage",
    "coveragePathIgnorePatterns": [
      "/node_modules/"
    ],
    "coverageReporters": [
      "text",
      "lcov"
    ],
    "resetMocks": true,
    "testEnvironment": "node",
    "testTimeout": 60000,
    "maxConcurrency": 1
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged && yarn test"
    }
  },
  "lint-staged": {
    "*.js": "eslint --cache --fix",
    "*.+(js|json)": "prettier --write"
  }
}
